#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1  PaleVioletRed
#property indicator_width1  2

extern int    momPeriod     = 25;
extern int    momPrice      = PRICE_CLOSE;
extern int    momSmooth     = 3;
extern int    momSmoothMode = MODE_EMA;
extern double Levels        = 5;
double mom[];

int init()
{
   IndicatorDigits(6); 
      SetIndexBuffer(0,mom);
      SetLevelValue(0, Levels);
      SetLevelValue(1,-Levels);
      SetLevelValue(2,0);
      return(0);  
}  
int deinit() { return(0);  }  
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      double atr = iATR(NULL,0,momPeriod,i);
         if (atr!=0)
                mom[i] = (iMA(NULL,0,momSmooth,0,momSmoothMode,momPrice,i)-iMA(NULL,0,momSmooth,0,momSmoothMode,momPrice,i+momPeriod))/atr;
         else   mom[i] = 0;
   }
   return(0);
}